Ownership and events
US Insider Transactions
Call GET /us/insider-transactions on the Corpus API.
GET /us/insider-transactions
Call GET /us/insider-transactions on the Corpus API.
Category: US · ownership
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| accession_number | query | no | string | null | — | — |
| ticker | query | no | string | null | — | — |
| issuer_cik | query | no | string | null | — | — |
| reporting_owner_cik | query | no | string | null | — | — |
| start_date | query | no | string (date) | null | — | — |
| end_date | query | no | string (date) | null | — | — |
| transaction_code | query | no | string | null | — | — |
| acquired_disposed | query | no | string | null | — | — |
| is_derivative | query | no | boolean | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 100; min 1; max 1000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/insider-transactions?ticker=AAPL&limit=100' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | InsiderTransactionsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"transactions": [
{
"accession_number": "0000320193-25-000079",
"transaction_ordinal": 1,
"issuer_cik": "string",
"knowledge_time": "2025-12-31T23:59:59Z",
"issuer_ticker": "string",
"reporting_owner_cik": "string",
"reporting_owner_name": "string",
"officer_title": "string",
"is_director": true,
"is_officer": true,
"is_ten_percent_owner": true,
"is_other": true,
"security_title": "string",
"transaction_date": "2025-12-31",
"transaction_code": "string",
"acquired_disposed": "string",
"shares": 1,
"price_per_share": 1,
"shares_owned_after": 1,
"ownership_nature": "string",
"is_derivative": false,
"source_id": "sec_edgar"
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}